summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authornobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2010-07-17 10:01:49 (GMT)
committernobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2010-07-17 10:01:49 (GMT)
commit327da86aafc7cb4f5437ed0a9c46f61260aedf56 (patch)
treef51c7c2b0b5f6102e8a7ed4ad7140b36747fd27a /bin
parentc68de8ee083eb80c2e11f019ff1504a60871901f (diff)
* lib/test/unit.rb (MiniTest::Unit#process_args): refactored.
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@28668 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'bin')
-rwxr-xr-xbin/testrb3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/testrb b/bin/testrb
index 6a65fba..f4cd42f 100755
--- a/bin/testrb
+++ b/bin/testrb
@@ -1,6 +1,6 @@
#!/usr/bin/env ruby
require 'test/unit'
-exit Test::Unit.start {|files|
+tests = Test::Unit.new {|files|
if files.empty?
puts "Usage: testrb [options] tests..."
exit false
@@ -12,3 +12,4 @@ exit Test::Unit.start {|files|
end
files
}
+exit tests.run(ARGV) || true